#!/bin/sh
echo Content-type: text/html
echo

cat<<EOF
<HTML>
<HEAD>
<TITLE>$(n=$(nvram get wan_hostname);echo ${n:-Paris-SansFil}) - $TITLE</TITLE>
<META CONTENT="text/html; charset=iso-8859-1" HTTP-EQUIV="Content-Type">
<META CONTENT="no-cache" HTTP-EQUIV="cache-control">
<LINK HREF="../psf.css" REL="StyleSheet" TYPE="text/css">
<LINK HREF="sven-ola*t*gmx*de" REV="made" TITLE="Sven-Ola">
EOF

unescape()
{
s=$(echo "$1"|sed -e"s/+/%20/g")
echo -n ${s%%%*}
if [ -n "$s" ] && [ "$s" != "${s#*%}" ];then
IFS=\%
set ${s#*%}
unset IFS
for i in "$@";do
echo -n -e "\\x$(echo $i|dd bs=1 count=2 2>&-)"
echo -n ${i#??}
done
fi
}
checkbridge()
{
ret=0
. /etc/functions.sh
dev=$(nvram get wifi_ifname)
if [ -z "$dev" ]; then
# 8Mb device may die in S15ffnvram, so correct
dev=$(l=$(grep : /proc/net/wireless);l=${l%:*};echo ${l##* })
if [ -n "$dev" ]; then
nvram set wifi_ifname=$dev
ret=1
fi
fi
if [ -n "$dev" ]; then
fnd=
old="$(nvram get lan_ifnames)"
for i in $old; do
test "$i" = "$dev" && fnd=1
done
wbr=
adr=$(nvram get wifi_ipaddr)
if [ -z "$adr" ] || [ "$adr" = "$(nvram get lan_ipaddr)" ];then
# WIFI dev should be in the bridge list
wbr=1
fi
if [ "$wbr" != "$fnd" ]; then
if [ -z "$wbr" ]; then
new=
for i in $old; do
test "$i" != "$dev" && new="$new $i"
done
new=${new# }
else
new="$old $dev"
fi
/usr/sbin/nvram set lan_ifnames="$new"
if [ -z "$(/usr/sbin/nvram get lan_ifname)" ]; then
lan=$(nvram get lan_ifname)
test -z "$lan" || lan=br0
nvram set lan_ifname=$lan
fi
ret=1
fi
fi
return $ret
}

cat<<EOF
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"><!--
function help(e) {
if (!e) e = event;
// (virt)KeyVal is Konqueror, charCode is Moz/Firefox, else MSIE, Netscape, Opera
if (26 == e.virtKeyVal || !e.keyVal && !e.charCode && 112 == (e.which || e.keyCode)) {
var o = null;
if (e.preventDefault) {
if (e.cancelable) e.preventDefault();
o = e.target;
}
else {
e.cancelBubble = true;
o = e.srcElement;
}
while(!!o && '' == o.title) o = o.parentNode;
if (!!o) alert(o.title);
}
}
if (document.all) {
document.onkeydown = help;
document.onhelp = function(){return false;}
}
else {
document.onkeypress = help;
}
//--></SCRIPT>
</HEAD>
<BODY LEFTMARGIN="0" TOPMARGIN="0">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" CLASS="body"
HEIGHT="100%" WIDTH="100%">
<TR>
<TD BGCOLOR="#AEA494" VALIGN="TOP" WIDTH="209">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="209">
<TR>
<TD BGCOLOR="#DAD5CD" VALIGN="TOP" WIDTH="209"><IMG HEIGHT="219" SRC="../images/psf-fond-logo.gif" WIDTH="209"></TD>
</TR>
<TR>
<TD CLASS="orange" VALIGN="TOP" WIDTH="209"><BIG CLASS="plugin">Administration</BIG><BR>
<A CLASS="navitop" HREF="../cgi-bin-index.html">Accueil</A> |
<A CLASS="navitop" HREF="index.html">Administration</A></TD>
</TR>
<TR>
<TD ALIGN="RIGHT" BACKGROUND="../images/psf-fond-menu.gif"
CLASS="color" HEIGHT="327"
STYLE="background-position:bottom left;background-repeat:no-repeat;"
VALIGN="TOP" WIDTH="209">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="5" WIDTH="100%">
EOF

for inc in /www/cgi-bin/[0-9][0-9]-*;do test -n "${inc##*.sh}" && cat $inc ||. $inc;done

cat<<EOF
</TABLE></TD>
</TR>
</TABLE></TD>
<TD VALIGN="TOP" WIDTH="10">&nbsp;</TD>
<TD VALIGN="TOP">
EOF
